Intel MPI Library and Composer XE Compatibility

The following table lists all supported versions of the Intel® MPI Library and the Intel® Composer XE.  Use this as a reference on the cross-compatibility between the library and associated compiler.

Compatibility Matrix
Intel® MPI Library Version Intel® Compiler XE 10.1 Intel® Compiler XE 11.0 Intel® Compiler XE 11.1 Intel® Composer XE 2011 Intel® Composer XE 2013 Intel® Composer XE 2013 SP1 Intel® Parallel Studio XE 2015 Composer Edition
4.0 X X X        
4.0 U1 X X X        
4.0 U2 X X X        
4.0 U3     X X      
4.1     X X X    
4.1 U1     X X X    
4.1 U2         2013 Update 2 or higher X  
4.1 U3         2013 Update 2 or higher X  
5.0         2013 Update 2 or higher X X
5.0 U1         2013 Update 2 or higher X X
5.0 U2         2013 Update 2 or higher X X
5.0 U3         2013 Update 2 or higher X X

NOTE: Any older versions of the Intel® MPI Library may work with newer versions of the Intel® Compilers but compatibility is not guaranteed. If you have concerns or see any issues, please let us know by submitting a ticket at the Intel® Premier Support site.

有关编译器优化的更完整信息,请参阅优化通知